GET /Line/{ids}/Arrivals/{stopPointId}

tfl.gov.uk

Summary: Get the list of arrival predictions for given line ids based at the given stop
Operation ID: Line_Arrivals
Auth: unknown

Parameters (4)

destinationStationId (string, query, optional)

Optional. Id of destination stop

direction (string, query, optional)

Optional. The direction of travel. Can be inbound or outbound or all. If left blank, and destinationStopId is set, will default to all

Constraints: {'enum': ['inbound', 'outbound', 'all']}

ids (array, path, required)

A comma-separated list of line ids e.g. victoria,circle,N133. Max. approx. 20 ids.

stopPointId (string, path, required)

Optional. Id of stop to get arrival predictions for (station naptan code e.g. 940GZZLUASL, you can use /StopPoint/Search/{query} endpoint to find a stop point id from a station name)

No probe data for this endpoint yet.